Subject: Improve build system and make "real" defaults

From: [email-masked]
Date: Mon, 27 Mar 2023 13:44:19 +0000

Hello,

I was told that sqlite3 support is enabled by default when building 
Emacs29. Is it or is it not?
If not then I'm wrong with this issue report. Maybe I did something 
wrong.

Based on my own experience it seems to me that it depends on the fact if 
lib-sqlite3-dev is installed or not.

When the lib is not installed and I don't set an explicite sqlite3 
switch in the make-configure-build-system it build runs successfully 
without any warning or error. You see?! Sqlite is not default.

If you want to make it default then inform the user about missing 
sqlite-lib in all cases and not only if the --with-sqlite switch is set 
by the user.

The same stands for all other switches.